Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 08 May 2022 08:03:00 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers For the pass days now, I have been trying to check out and use or avail your promo code SPH20 from 9pm to 9am with no avail.

I already called your customer service and they told me to send an email regarding this matter.

I cannot avail your promo code when I check out. can you please check the matter.

Thank you

0506532872
Ligaya Basmayor https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4230421